Get timesheet totals

Retrieves detailed work records for each employee within a specified date range. This endpoint is designed to support payroll processing by providing total worked hours, categorized by pay rules and resource (if applied in the account settings). Ideal for integrating with external payroll systems to ensure accurate information. The pay rate will be presented in case it is defined within the account. If an automated unpaid break is applied, it will be deducted from the total hours value. In order to retrieve approved paid time-off (PTO) and manual break information, please use the Get time activities endpoint. Hours will be presented in decimal format. The time period is limited to 45 days.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The unique identifier of the time clock

Query Params
string
required

The start of the reporting period, in ISO 8601 format (YYYY-MM-DD). The filter includes all records from 00:00:00 on the specified date.
Example: A startDate of 2025-01-01 includes data starting from 2025-01-01T00:00:00

string
required

The end of the reporting period, in ISO 8601 format (YYYY-MM-DD). The filter includes all records up to 23:59:59 on the specified date.
Example: An endDate of 2025-01-01 includes data up to 2025-01-01T23:59:59. The end date must be no more than 45 days after the start date. If there is an ongoing overnight shift that continues past the end date, the hours of the overnight will only be included if it has been configured in the time clock settings.

userIds
array of integers

List of user IDs to filter the results. Only time entries associated with these users will be included. If a user has no recorded time entries within the specified date range, they will be excluded from the results.

Userids
groupIds
array of strings

List of cohort/group IDs to filter the results. Only time entries associated with users in these cohorts will be included.

Groupids
jobIds
array of strings

List of job IDs to filter the results. Currently supports only parent job IDs and regular job IDs. If a parent job ID is provided, only sub-jobs that have actual recorded hours will be included in the response.

Jobids
boolean

Filter by approval status. If not provided, returns all records (approved and unapproved). Set to true for approved only, false for unapproved only.

boolean

Filter by submission status. If not provided, returns all records (submitted and unsubmitted). Set to true for submitted only, false for unsubmitted only.

boolean

Filter by lock status. If not provided, returns all records (locked and unlocked). Set to true for locked only, false for unlocked only.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json